/***************************************************************************
 *   Copyright (C) 2007 by Jackie Team   *
 *   jackie.team@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OPTIONS_HANDLER_H
#define OPTIONS_HANDLER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/xml/xml.h>
//#include <libxml/parser.h>
//#include <libxml/tree.h>
#include <map>

class OptionsHandler {
    public:
         /**
          * open an xml file
          * @param  wxString the path to the file
          * @return true if success
          */
         static bool loadFile(wxString);

         /**
          * get the value of an option
          * @param  wxString the name of the option
          * @return the value, "" if the option doesn't exist
          */
         static wxString getOption(wxString);

         /**
          * define an option
          * @param  wxString the name of the option
          * @param  wxString the value of the option
          */
         static void setOption(wxString,wxString);


         /**
          * parse the XML file if there is one
          */
         static void readOptions();

         /**
          * Save the options in a file
          * @param  wxString the path of the output file
          */
         static void writeOptions(wxString=fileName);

    private:
        OptionsHandler();//We mustn't instanciate it
        static wxString fileName;
        static wxXmlDocument* optionsFile;
        //static xmlDocPtr optionsFile;
        static std::map<wxString,wxString> options;
};

#endif
